Subject: Re: [AVTCORE] Warren Kumari's No Objection on draft-ietf-avtcore-rtp-evc-06: (with COMMENT)

From: "Eric Vyncke (evyncke)" <[email-masked]>
Date: Thu, 21 Dec 2023 06:21:17 +0000

Stephan

“Copy that” (in line with your previous “wilco”).

Private joke aside, I have now cleared my DISCUSS position and thank you for addressing all my concerns.

May I suggest, next time, not to use any ballot position to send this message? I was about to skip reading it because it was about “Warren Kumari”. I know that this is tiring and perhaps “over the border”, but everyone (including the email archive readers) will benefit by replying to ballot positions one by one (just a suggestion though).

I wish you and your relatives a Merry Christmas (if it applies to you) and Happy New Year,

-éric

From: Stephan Wenger <[email-masked]>
Date: Wednesday, 20 December 2023 at 17:27
To: [email-masked] <[email-masked]>, Eric Vyncke (evyncke) <[email-masked]>, John Scudder <[email-masked]>
Cc: [email-masked] <[email-masked]>, [email-masked] <[email-masked]>, The IESG <[email-masked]>
Subject: Re: [AVTCORE] Warren Kumari's No Objection on draft-ietf-avtcore-rtp-evc-06: (with COMMENT)
Hi Éric, John, IESG, AVT working group,

Based on the unresolved DISCUSSes by Éric and the unresolved COMMENTs by Éric and John, we have revised the EVC payload draft, and I just submitted version 07; see here: https://datatracker.ietf.org/doc/draft-ietf-avtcore-rtp-evc/.  The key changes are as follows:
-Moved RFC 7656 and RFC 7667 to the informative references section.  Both RFCs are informational, and their use in the EVC payload is informational in nature.
-Addressed Éric’s remaining two DISCUSS points in section 4.3.2 by a) capitalizing the MUST in “the value of Reserve and E Must be equal to 0” and by adding protocol error robustness language (regarding nested APs) in the form of an informative note, using the three options we discussed earlier.  We believe that an informative note, rather than normative language, is appropriate here, as the situation in which the language comes into play cannot occur in a compliant implementation.
-Addressed the bug identified by John in section 1.1.4 using the language he suggested (which was perfect; thanks again).
-Addressed the remaining (small, mostly editorial) changes requested as COMMENTS by Éric and John, unless they were, in our opinion, adequately argued on this distribution before.

There are no changes to the bits on the wire.  There are no changes in the IANA Considerations section, nor in the material referenced by it.

Please let us know how to proceed.

Happy Holidays,
Stephan